### Hierarchy

- SortableListOption

## Index

### Constructors

- constructor

### Properties

- content
- contentSubject
- contentSubscription
- disabled
- options
- order
- template

### Methods

- getContent
- setContent
- toJSON
- toString

## Constructors

### constructor

- new SortableListOption(options: ListOptionOptions): SortableListOption

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:25

  #### Parameters

  - ##### options: ListOptionOptions

  #### Returns SortableListOption

## Properties

### content

content: any

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:22

### Protected contentSubject

contentSubject: BehaviorSubject<any> = ...

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:24

### Protected contentSubscription

contentSubscription: Subscription = ...

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:25

### disabled

disabled: boolean

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:19

### options

options: SortableListOption[]

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:21

### order

order: number

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:20

### template

template: TemplateRef<any>

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:23

## Methods

### getContent

- getContent(): any

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:36

  #### Returns any

### setContent

- setContent(content: any): void

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:40

  #### Parameters

  - ##### content: any

  #### Returns void

### toJSON

- toJSON(): any

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:51

  #### Returns any

### toString

- toString(): string

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list-model.class.ts:61

  #### Returns string

Generated using TypeDoc